Function Import(file)
	DIM objShell:set objShell = wscript.createObject("wscript.shell")
	Dim fsObj: Set fsObj = CreateObject("Scripting.FileSystemObject")
	Dim vbsFile:Set vbsFile = fsObj.OpenTextFile(file, 1, False)
	Dim myFunctionsStr
	myFunctionsStr = vbsFile.ReadAll
	vbsFile.Close
	Set vbsFile = Nothing
	Set fsObj = Nothing
	ExecuteGlobal myFunctionsStr
End Function 

result = Import("C:\Program Files\GL Communications Inc\MAPS-SIP\VBClient\MapsSipAPI.vbs")

' set testbed
Const ServerIP = "192.168.12.216"
Const ServerPort = 10024
Const ServerId = 1
Dim ScriptId 
ScriptId = 1
Const testbedProfile = "TestBedDefault.xml"
Const SIPProfile = "UserAgent_Profiles.xml"
Dim ScriptName, Profile
ScriptName = "SipRegistrationControl.gls"
Profile = "Profile0006"

' set Global Variables
const EnableCLI = 1
const CallDuration = 30000
const InterCallDuration = 1000
const CallAnswerTime = 100
const EnableRandomization = 0
const DistributionType = "Uniform"
const MinCD = 10000
const MaxCD = 60000
const MinICD = 1000
const Send180Ringing = 1 	'0 - disable 180 Ringing, 1 - enable 180 Ringing
const SendInfo = 0          '0 - disable Info, 1 - enable Info

'Registration parameters
const RouteIpAddress = "192.168.20.75"
const Contact = "348@192.168.12.216:5060"
const AddressOfRecord  = "348@192.168.20.75"
const username = "testuser"
const password = "t3st1ng"
const Expiry = 3600

WScript.Echo "Initializing Configuration" & vbCr & vbLf
result = SIPInitialize(ServerId, ServerIP, ServerPort, testbedProfile, SIPProfile) 

if (result = 0) then
	WScript.Echo "Initializing Configuration Successful" & vbCr & vbLf
	WScript.Echo "Registering to Proxy/Registrar..." & vbCr & vbLf

	result = Register(ServerId, ScriptId, ScriptName, Profile, RouteIpAddress, Contact, AddressOfRecord, username, password, Expiry) 
	WScript.Echo result(0) + " " + result(1) + " " + "for" + " " + CStr(result(2)) & vbCr & vbLf
	if(result(2)) then 
		WScript.Sleep result(2) * 10
	end if

	WScript.Echo "DeRegistering from Proxy/Registrar..." & vbCr & vbLf
	result = DeRegister(ServerId, ScriptId) 
	WScript.Echo result
else
	WScript.Echo "Initializing Configuration Failure" & vbCr & vbLf
end if

result = SIPStopScript(ServerId, ScriptId)
WScript.Echo "Script Stopped"
WScript.Sleep 5000




